Support » Plugin: ALD - Dropshipping and Fulfillment for AliExpress and WooCommerce » Versão 1.0.8.2 – Extensão para Google Chrome não funciona

  • Resolved Robson

    (@ligg3)


    Estou usando a versão Versão 1.0.8.2

    A extensão não está mais autenticando no Google Chrome. Uso a última versão do Woocommerce.

    Não há uma forma de importar produtos sem usar esta extensão, o que é um grande erro.

    Tento autenticar, abre a tela do WordPress, confirmo, mas não passa dali.

    Já tentei criar a API REST manualmente, informo lá o código, mas também não funciona.

    O que fazer?

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author kimvt1991

    (@kimvt1991)

    Hello,
    If you use WooCommerce multilingual plugin, please deactivate it while trying to connect the extension because that plugin break the link of the Approve button.
    You can also use the Secret key instead of authenticating.
    Best regards

    Thread Starter Robson

    (@ligg3)

    Minha loja é a https://ultrapc.com.br

    Desativei todos os plugins, depois ativei apenas “Dropshipping and Fulfillment for AliExpress and WooCommerce” e “WooCommerce”.

    Resultado: Não autentica. Até aparece a tela de permissão para autenticar, porém depois não segue adiante.

    Já tentei criar a API REST, e informar na extensão, mas ela diz que está errada.

    Têm outra sugestão?

    Plugin Author kimvt1991

    (@kimvt1991)

    I can see a lot of plugins are currently active on your site. Did you really try deactivate all but WooCommerce and Ours?
    BTW, you can use secret key by following this guide https://youtu.be/eCt8sJVsBXk?t=84
    Secret key here is the one you generate in the plugin settings/general, not the REST API key.

    Thread Starter Robson

    (@ligg3)

    Maravilha!

    Eu estava tentando criar uma API REST manualmente no Woocommerce e colocar ali, já que não conseguia autenticar automaticamente. kkkkkkkkkkkkk

    Agora vi lá, a chave está bem clara e fácil de encontrar. Coloquei manualmente no plugin, e funcionou certo, consegui importar produtos!

    Muito obrigado, de coração!

    Abraço e parabéns pelo plugin!

    Plugin Author kimvt1991

    (@kimvt1991)

    You’re welcome.
    I’m still wondering what might cause the issue with authentication on your site. If you can find the culprit, please let me know.
    Best regards

    Thread Starter Robson

    (@ligg3)

    Eu encontrei o log de erro, o mesmo cada vez que tentei autenticar, e diz o seguinte:

    “PHP Warning: Cannot modify header information – headers already sent in /home/usuario/public_html/wp-includes/functions.php on line 6712”

    Porém neste arquivo, nesta linha, consta:

    function send_frame_options_header() {
    	header( 'X-Frame-Options: SAMEORIGIN' );
    }

    Ou seja, não soube o que fazer, então recorri a chave, e funcionou.

    Percebi que com outra loja minha, em outro servidor, mesmos plugins, a autenticação funcionou ok, mas nesse aqui que falei, não.

    Plugin Author kimvt1991

    (@kimvt1991)

    Thank you for your information. However, the error does not mention any other locations except for the core so I’m unable to check it.
    Do you see any other errors that are logged before the above one?

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.